// MIXINS, VARIABLES & EXTENDS:

@import "../styles/assets";

// PORTFÓLIO - WEBSITES:

#portfolio_websites {
  article {
    h1 {
      margin-bottom: 30px;
    }
    :global(#thumbnails) {
      margin: 0 auto; // Works with "fitWidth: true" on masonry initialization.
      :global(.siteThumbnail) {
        margin-bottom: 50px; // Keep the same with "gutter" value on masonry initialization.
        img {
          display: block;
          border: 1px solid $color-gray-light;
          @include border-radius(5px);
        }
        :global(.about) {
          visibility: hidden;
          opacity: 0;
          @include border-radius(5px);
          @include transition(opacity 600ms, visibility 600ms);
          position: inherit;
          top: 0;
          height: 100%;
          width: 100%;
          background-color: $back-dark-transparent;
          h2,
          div {
            color: $color-gray-light;
            margin: 10px 10px;
            font-size: $typo-small-size;
            line-height: $line-height-small-size;
          }
          h2 {
            font-weight: bold;
            border-bottom: 1px solid $color-gray-light;
          }
        }
        &:hover {
          :global(.about) {
            visibility: visible;
            opacity: 1;
          }
        }
      }
    }
  }
}
